package io.gisbi.application.baseinfo.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 应用系统
 * </p>
 *
 * @author zhengsl
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("app_application")
public class Application implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 应用类型 01-数据展示分析 
     */
    private String type;

    /**
     * 应用编号 自动生成：000001
     */
    private String code;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 应用简称
     */
    private String simplename;

    /**
     * 创建日期
     */
    private LocalDateTime createdate;

    /**
     * 应用描述
     */
    private String description;

    /**
     * 应用图片 base64存储
     */
    private String image;

    /**
     * 应用配置 JSON格式存储其他配置相关信息
     */
    private String appconfig;

    /**
     * 数据库配置 JSON格式存储数据库信息配置（数据库用于存储此应用系统的所有配置数据）
     */
    private String dbconfig;

    /**
     * 用户单位 使用这个应用系统的组织单位
     */
    private String organization;

    /**
     * 状态 01-初始创建  02-正常运行  09-已停用
     */
    private String status;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;
}
